# Enable Meta template analytics

Enable Meta template analytics for WhatsApp Business Account.

Endpoint: PUT /v1/projects/{projectId}/whatsapp/enableTemplateAnalytics
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

## Response 200:

  - `200` (unknown)
    Meta template analytics enabled for WhatsApp Business Account.

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: project_not_initialized

  - `message` (string)
    Human readable message.
    Example: Project not initialized for WhatsApp.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the project ID is correct and that it has been onboarded for WhatsApp.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 424:

  - `424` (unknown)
    FailedDependency

## Response 424 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: template_insights_not_yet_available

  - `message` (string)
    Human readable message.
    Example: Template Insights unavailable.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Template Insights are not available yet for this WhatsApp Business account, please contact support.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: internal_error

  - `message` (string)
    Human readable message.
    Example: Internal server error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again, if the error persist please contact support.

